Subject: Re: [TR] (TR) Evans Waterless Coolant

From: Jan Chen <[email-masked]>
Date: Wed, 10 Feb 2016 13:44:49 -0800

I too saw the Wheeler Dealers episode where they put the Waterless Coolant in a TR6 but who knows how it really works as they sell the car off for a “profit” at the end of the show.  Looking at the Evans website, the stuff is expensive and has quite a procedure involved to convert a car over to use their product.

Last week I got to meet and talk to Mike Brewer and Edd China from Wheeler Dealers as they are in Southern California filming new episodes.  I wish I would have asked Edd what he really thought about the waterless coolant…hopefully, our paths will cross again and I’ll get a chance to ask him.

Jan (Dawson) Chen
1968 TR250
Irvine,CA

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]